%define _dataset yale5

Summary:	Stellar data set for use by the StarPlot tool
Name:		starplot-%{_dataset}
Version:	0.95
Release:	10%{?dist}
License:	Redistributable, no modification permitted
Group:		Applications/Engineering
URL:		http://starplot.org/
Source0:	http://starplot.org/data/%{_dataset}-%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	starplot >= %{version}
Requires(post):	starplot >= %{version}

BuildArch:	noarch

%description
Stellar data set for use by the StarPlot tool from the [Yale] Bright Star
Catalog, 5th Rev. Ed. (preliminary), Hoffleit and Warren, 1991. The data set
was obtained from the archives of the Astronomical Data Center (ADC) at NASA
Goddard Space Flight Center.

%prep
%setup -q -n %{_dataset}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/starplot/%{_dataset}/orig-data

install -p -m644 %{_dataset}.spec \
  $RPM_BUILD_ROOT%{_datadir}/starplot/%{_dataset}
install -p -m644 orig-data/catalog.dat \
  $RPM_BUILD_ROOT%{_datadir}/starplot/%{_dataset}/orig-data
install -p -m644 orig-data/notes.dat \
  $RPM_BUILD_ROOT%{_datadir}/starplot/%{_dataset}/orig-data
install -p -m644 orig-data/ReadMe \
  $RPM_BUILD_ROOT%{_datadir}/starplot/%{_dataset}/orig-data

touch $RPM_BUILD_ROOT%{_datadir}/starplot/%{_dataset}.stars

%clean
rm -rf $RPM_BUILD_ROOT

%post
starpkg --dataset %{_datadir}/starplot/%{_dataset} --dest %{_datadir}/starplot

%files
%defattr(-,root,root,-)
%doc Changelog
%doc COPYING
%doc README
%ghost %{_datadir}/starplot/%{_dataset}.stars

%dir %{_datadir}/starplot/%{_dataset}
%{_datadir}/starplot/%{_dataset}/%{_dataset}.spec
%{_datadir}/starplot/%{_dataset}/orig-data

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.95-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 25 2007 Parag Nemade <paragn@fedoraproject.org> - 0.95-2
- Fixed installation error with --excludedocs.

* Sun Dec 16 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.95-1
- Initial build.
